Update Component Dev Session

PUT
/api/v1/component-dev-sessions/{sessionId}

Path Parameters

sessionId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

projectId?string|null
components*array<>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/component-dev-sessions/string" \  -H "Content-Type: application/json" \  -d '{    "components": [      {        "slug": "string",        "definitionId": "string",        "title": "string",        "origin": "server",        "isModified": true,        "isConflicted": true,        "build": {          "state": "building"        }      }    ]  }'
{  "sessionId": "string",  "projectId": "string",  "url": "string",  "token": "string",  "components": [    {      "slug": "string",      "definitionId": "string",      "title": "string",      "origin": "server",      "baseVersion": 0,      "publishedVersion": 0,      "isModified": true,      "isConflicted": true,      "build": {        "state": "building",        "message": "string"      },      "moduleHash": "string",      "panelHash": "string",      "definition": null    }  ],  "createdAt": "string",  "updatedAt": "string",  "expiresAt": "string"}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/ComponentNotFoundError",  "message": "string"}
{  "_tag": "Api/ComponentInvalidError",  "message": "string",  "problems": [    "string"  ]}
{  "_tag": "Api/ComponentServiceError",  "message": "string"}